5/21/2009 version 1.8.1
- Fix bugs 2533543, 2590417, 2604963, 2687954, 2734471, 
   2741374, 2780592
- resample() function: add a second, optional parameter,
  namely a block length for resampling by moving blocks
- Ensure that gretl.lang (for gtksourceview) gets updated
  in Windows build
- Forecasts with confidence intervals: make the confidence
  level configurable via the GUI (and similarly for 
  confidence bands on impulse response plots)
- VECMs: add a GUI selector for lags of any exogenous 
  variables
- genr: make '^' (exponentiation) associate rightwards
- genr: support the syntax "func(args)[slice]" to select
  directly a submatrix from a function call that returns a
  matrix
- panel, random effects estimator, Hausman test: notify the 
  user if the matrix-difference version of the Hausman test 
  fails; also document the --hausman-reg option in the help 
  entry for the "panel" command; and fix the covariance
  matrix in case --hausman-reg is chosen.
- VARs: support gaps in the lag structure (not for VECMs);
  also, allow single-equations VARs
- New GUI graph option: "Plot curve" under the tools menu,
  for quick plotting of a formula
- Chow test: add the option of specifying a dummy variable
  rather than a break point
- Boxplots: enable boxplot command in loops
- seq() function: add a third, optional step parameter
- Speed up loading of very large data files in gretl
  native format
- Fixes for handling of data files with over 999 variables
- Minor improvement to parsing of dates in CSV files
- "lags" command: accept a scalar variable for the parameter
  indicating how many lags to generate
- "logit" command: support multinomial logit via a new
  option, --multinomial
- ordered logit, probit: add count of cases 'correctly
  predicted', plus overall likelihood ratio test for all
  slopes = 0
- Graph editing dialog: provide more comprehensive font
  selection apparatus if gnuplot supports cairo
- "gnuplot" script command: add mechanism for naming the
  output file, and selecting EPS/PDF/PNG output directly
- Fix bug in binomial plot for 60 <= n < 170
- MS Windows build: update to gnuplot 4.3 CVS as of
  March 2009
- Enhancements for GUI menu item "Count missing values"
- tsls: add Stock-Yogo minimum eigenvalue test for weak 
  instruments
- Modify the files in the win32 subdirectory of the gretl
  source to support building on MS Windows with mingw/msys
- Enforce the prohibition on using gretl command words as
  names for variables
- Script editing window: add "New" and "Open" buttons
- New function psdroot: find the Cholesky-type root of a
  positive semidefinite (and possibly singular) matrix
- New function filter: compute an ARMA-like filtering of a
  series
- Add a GUI language selector (by popular request!)
- "restrict" command: accept scalar variables in place of
  numerical constants
- "genr" with lists: allow boolean comparison of a list to a
  scalar, returning a series
- Add new string function "tolower"
- Rename "lmtest" command to "modtest"
- Add --comfac option to "modtest" for testing common factor
  restriction in models estimated via an AR(1) method
- Add user-level access to the Kalman filter, with a new
  command "kalman" and new functions kfilter, ksmooth and
  ksimul

1/23/2009 version 1.8.0
- Fix bug: crash in "Add random variable" dialog
- Translation fixes
- Add new command: "modprint"
- Remove obsolete commands: "rhodiff" and "hccm"
- Speed-ups for the pdf() function as applied to a
  series argument
- New option --numeric for the nls and mle commands,
  to force the use of numerical derivatives
- Numerous small graphing and GUI fixes
- MS Windows: fix for opening graphs in old session files
- Graphs: "display PDF" option: fix possible encoding issue
- GUI graph controller: new facility to add a line, defined
  via a formula, to an existing graph
- GUI graph controller: add facility to choose point style
- Gnuplot line-color selector: extend to 6 colors, and
  distinguish between setting the "palette" and setting
  ad hoc colors for a specific graph
- Scalars: make these accessible via the icon view window;
  enable copying to clipboard as CSV; enable entry of a 
  formula (starting with "=") in scalar-editing window
- Fix encoding issue when copying to clipboard as plain
  text or RTF
- Boxplots: hand the production of these over to gnuplot
- New function: urcpval(), gives user access to James
  MacKinnon's p-values for unit root and cointegration test
  statistics (tau)
- New function: mpols(), enables multiple-precision OLS for
  user-defined matrices
- New function: toepsolv(), solves a Toeplitz system of
  linear equations
- New function: mcovg(), matrix covariogram
- Improve error-reporting in relation to GUI genr dialog
- Make parsing of input from GUI ARMA dialog more robust
- New feature: add importer for SPSS .sav files
- CSV importer: try to handle time-series data in reverse
  chronological order
- "fcast": allow variables for the startobs and endobs
  arguments; add "rolling" k-step-ahead option
- Fix bug in ADF --verbose printout (wrong p-value shown
  for one lagged difference in some cases)
- GUI plot editor: translate the gnuplot style strings
- Switch to more compact tabular form for presenting
  model statistics
- OLS and fixed effects: add option to calculate p-value
  for the Durbin-Watson statistic
- Add accessors $Fstat and $chisq for the overall F-statistic
  or chi-square test from the last model
- Make the "restrict" command available for nls, mle and gmm
- Improve forecasting options for nls models
- Add model menu item: "Modify model", under the Edit menu,
  provides a clone of the model specification
- Loops: allow the "gnuplot" command, operating strictly
  in batch mode 
- New command "intreg": implements interval regression
- Several updates to the documentation
- Fix bugs 2042328, 2472732, 2510727, 2510759

9/28/2008 version 1.7.9
- Revamp the data structure "wizard"
- Fix bugs 2102478, 2116172, 2118506 
- Periodogram graph: fix bug for case where the locale
  decimal separator is not '.'
- Add Russian translation, Turkish translation
- Small GUI fixes
- Modifications to web-downloader for new server settings
- Fix for non-ascii file names in session files on MS
  Windows
- genr: fix for unary minus in exponentiation (e.g. x^-.5)
- nls: fix R^2 printout
- dummify function: accept a second argument (see the help
  for details)
- ordered probit/logit: fix bug with displaying these 
  models in the GUI model window

9/14/2008 version 1.7.8
- Add a language-switching option to the gretl GUI (under
  Preferences/General)
- Improve formatting of HCCME options pane
- Fix breakage in "rename" command (renaming series)
- Fix bug 2089048
- Enable Chow test for non-time series datasets
- Revise formatting style for model output
- Change the label "standard error of residuals" to
  "standard error of the regression"
- Allow users to change the text size in help windows
- Fix two more bugs in connection with user-defined
  functions in the context of a sub-sampled dataset
- Fix bug: with the --panel-vars option to the
  "setobs" command, check more carefully the validity 
  of the supposed unit and time-period index variables
- Chow test: perform a robust version if the original
  model was estimated using an HCCME
- OS X package: fix for the problem whereby GTK could
  lose track of its image-loading modules
- CSV data: improve recognition of daily dates
- PCA: fix column-order of components in printout for the
  case of more than 7 components
- Small fixes for opening of datafiles in GUI
- GARCH: add --nc option to suppress the constant in the
  mean equation; add --fcp option to use Fiorentini et al
  code; expand and update help entry
- Periodogram graph: always base y-axis at zero
- Seasonal ARMA: fix for bad handling of automatically
  added scalars

8/28/2008 version 1.7.7
- Revamp of internal handling of scalar variables
- The --preserve option to the "nulldata" and "open" commands
  now preserves existing scalars as well as matrices
- Windows package: update to GTK+ 2.12.11 and friends
- Inside functions: restrict the smpl command within the
  bounds set on entry to the function
- setobs command: if used inside a function, revert the
  effects on exit
- ordered probit/logit: fix for the case where the dependent
  variable does not form a continuous integer sequence; 
  fix reporting of information criteria; switch to the mode
  of presentation of cut-points used by Stata and R
- string-editing dialogs: ensure we have a cancel button
- Saving data when the dataset is currently sub-sampled: 
  fix breakage whereby the option to restore the full dataset
  was not shown
- Naming variables: put in place more stringent checking to
  avoid name collisions across series, scalars, matrices, etc.
- VARs in saved sessions: ensure that we save the information
  needed for subsequent bootstrap analyses
- Fix the mechanism for searching for a user's customized
  LaTeX preamble file (got broken at some point)
- LaTeX compilation: be more lenient -- getting some output
  on standard error does not necessarily mean that 
  compilation has failed
- Determining the main gretl directory: try to handle the
  case where the user has a stale ~/.gretl2rc file
- Minor OS X fixes
- Respect keyboard "Esc" as dialog "Cancel" more consistently 
- Variable selection dialogs: allow use of right and left
  arrow keys to activate the "Add" and "Remove" buttons
- Linear models without a constant: print the centered R^2 as
  well as the uncentered 
- Fix for reading native data files containing auto-generated
  lags: re-establish the lag info correctly

7/30/2008 version 1.7.6
- Fix bug: revise the way that list arguments to user-defined
  functions are handled, to avoid potential namespace 
  collisions
- Add menu item: Variable/Normality test
- Add $xlist accessor: gets the list of regressors from the
  last model
- Add $version accessor: gets the gretl version
- Add $windows accessor (1 if running on MS Windows, else 0)
- Add $datatype accessor (see function help)
- Remove some redundant preferences items
- Fix bugs 1996156, 1996161, 2017872, 2027121
- MLE fixes
- Fix for RTF output from GUI model table
- Function package help: ensure this is not truncated
- Fix bug: incorrect generation of NAs when doing "genr unitdum" 
  on a sub-sampled panel dataset
- Add new panel data functions: pmax, pmin, pnobs
- Internal: recode parts of the gretl GUI to avoid dependence
  on deprecated GTK APIs
- Speed-ups for loops containing genr commands
- Several fixes for reading and writing gretl session files
- Function packages: add facility to append a sample script
- Enhancements for GUI function-packager
- File dialogs: try to ensure that focus falls back to the right
  window when such windows are closed

6/13/2008 version 1.7.5
- max() and min() functions: extend the syntax to allow a list
  argument
- Reading CSV data: automatically substitute '_' for illegal
  characters in variable names
- Support DESTDIR for make install
- Add Weibull distribution to the various gretl probability
  distribution functions
- Fix for parsing a restriction with leading numerical term
- New functions: pdf, sdc, msortby
- User-defined functions: allow a descriptive string to
  accompany each parameter, for use in GUI
- Add $unit accessor to get a panel unit index
- Add "--breusch-pagan" option to lmtest command (with --robust
  option to use the Koenker robust variance estimator); also
  add this test to the GUI
- Fix some bugs in sub-sampling of panel datasets
- Revise the GUI for setting the sample range for panel data
- Improvements for panel time-series graphs
- Fix bug in importing data with long numeric observation 
  labels
- printf command: allow matrices in place of scalars (e.g.
  using "%f" or "%g" conversion)
- GUI script output window: add option of making output
  "sticky" (running a script appends to text)
- Add log-axis option to GUI graph editing dialog
- GUI program: add right-click popup menus to more windows
- Fix bugs 1929957, 1922915, 1951681, 1954428, 1954838,
  1960861, 1969680, 1972629, 1972613, 1980775
- Add guard against unmatched "if" in loops, functions and
  scripts
- Fix bug: VARs and equation systems not getting removed as
  "last model" on exit from user-defined functions, which
  could cause strange errors in complex scripts
- Fix for forecasts from equation systems displayed in the
  GUI program
- Updates to some screenshots in the User's Guide
- pca command: add --covariance option to base the analysis on
  the covariance matrix instead of the correlation matrix
- corr command: document the --uniform option and add it to
  the GUI
- Fix bug: loops inside conditionals inside a loop were not
  executing properly in some cases
- X-Y scatterplot: add option of controlling for a third
  variable
- hsk command: fix for the case where the model includes a
  dummy that is specific to a particular observation
- arima specification dialog: add checkbox for basing
  standard errors on the Hessian
- store, outfile, etc.: if the filename starts with "~/",
  expand this to the user's home directory, if possible
- Search for data file collections: add the user's gretl
  data directory ("dotdir") to the path searched
- "append" command: try harder to make this do what the user
  is most likely to want in the case of panel data
- frequency distribution in GUI: allow choice of bin size,
  as with frequency plot
- fixed effects estimation: print the average constant
- eigengen function: make this behave as the manual says
- OLS anova: add p-value for the F-statistic
- Fix VECM forecast graph in GUI ("pre-forecast" fitted
  values were not integrated)
- "open" command: add options for controlling importation
  from spreadsheets
- add "set debug" option for deugging user-defined functions
- GUI function package: add option to save the packaged
  functions as a regular gretl script
- Fix bug in modification of LMF autocorrelation test (bug
  was introduced in gretl 1.7.4)
- Script editor: add option to show line numbers
- Native database windows: add right-click popup menu
- Local function package listing: sort alphabetically
- logit/probit: add code to detect perfect classifiers
- "tabprint" model-printing command: add --rtf option to 
  produce RTF output rather than LaTeX
- Windows build: update to Lapack version 3.1.1
- Add quantile regression ("quantreg" command)
- Add experimental support for importing data from an
  external database via ODBC
- Add "normest" command to test a series for normality, with
  options of Doornik-Hansen, Shapiro-Wilk or Jarque-Bera
- Model window, confidence intervals for coefficients: add
  option of changing the confidence level from the default
  of 95 percent; and similarly for confidence ellipses
- Add facility for writing and executing R scripts via the
  gretl GUI
- Durbin-Watson statistic: supply a larger table of critical
  values (thanks to Marcin Blazejowski and Tadeusz Kufel) 

3/21/2008 version 1.7.4
- Fix for ADF-GLS test with missing values
- Fix for detection of unit-diagonal matrix (oops!)
- Merge fit and fcasterr commands with fcast
- Add $fcast and $fcerr accessors for use with fcast
- Autocorrelation test: use Kiviet's original 1986 formula
  for the LMF statistic
- "system" command: enable naming of systems in the manner
  "sysname <- system"; enable forecasts; make parsing of
  identities more robust; enable TeX view/print in GUI;
  add new accessors $yhat, $sysGamma, $sysA, $sysB
- "estimate" command: add --quiet option
- remove obsolete command: multiply
- Consolidate the commands corc, hilu and pwe into one new
  command with options: ar1
- Fix for the case of graphing 6 time series together
- Fix bugs 1908139, 1909469
- Fix documentation of $stopwatch
- Move handling of strings into "genr"; add strlen function
- fdjac and BFGSmax functions: don't require that the
  function-call argument be wrapped in quotes
- "corr" command: allow printing of ranked data for Kendall's
  tau as well as spearman (verbose option); also add a
  verbose check-box to the rank-correlation dialog
- User's Guide: add a discussion of Arellano-Bond
- Enable "delete" command for saved strings
- Enable naming of matrix columns, via colnames function or
  the GUI matrix editor
- Enable "dataset resample" in loops (experimental)
- Runs test: enable the "--difference" option in the CLI;
  handle the case where positive and negative values are not
  equiprobable by default, but add an "--equal" option to 
  impose the equiprobability assumption
- Fix for "data error" in VECM autocorrelation tests (for now
  we'll just do Ljung-Box)
- Fix sub-sampling bug (new in 1.7.3)

2/29/2008 version 1.7.3
- Fix for 64-bit platforms: don't use "long" as the C
  counterpart of Fortran 77 "INTEGER"
- Make the rcond function available for asymmetric matrices
- Enable the $yhat accessor for fitted values in equation
  systems
- Add Italian function help to Windows build
- Weekly to monthly data compaction: respect the user's
  choice of compaction method, as claimed
- Add trimr matrix function (as in Gauss)
- Extend matrix "division" a la Gauss
- Disallow user functions with the same name as a built-in
  function
- Update several screenshots in User's Guide

2/25/2008 version 1.7.2
- list-creation: add "dataset" option to use all currently
  available data series
- Fix bug in recording result of TSLS heteroskedasticity test
- Add sscanf command (a subset of C sscanf functionality)
- Add shell capture for strings via $(shellcommand)
- Paths stuff: add (non-configurable) "dotdir" to hold per-user
  automatically-created files
- Fix bugs 1861010, 1868859, 1869271, 1870459, 1870973,
  1871110, 1871135, 1873625, 1874601, 1881849, 1897648
- Rationalize frequency plot dialog
- Add Help item to forecast dialog
- Fixes for matrix "dot operations"
- Fix breakage in graph color selector
- Fixes for ODS spreadsheet importer
- Document the --auto option for the "omit" command, and add
  a GUI handle for it
- MS Windows and OS X packages: update to gnuplot 4.3 (CVS)
- Graphing internals: use UTF-8 for internationalized strings
- Models having an exact fit: block various invalid tests
- det() function: fix for singular matrices
- GUI script editor enhancements
- Allow drag of database from databases-on-server window
  to local native databases window; also function packages
  from server to local function package window
- Add basic support for the DF-GLS test via a new --gls 
  option to the adf command
- Add selifc and selifr matrix functions
- Generalize several functions to accept matrix as well as
  series argument, e.g. quantile, diff, cum, resample
- Add new accessors for TSLS test results: $hausman and
  $sargan
- Many small improvements to the GUI
- Add systematic documentation for the functions available
  in the genr command 
- Enable "append" command in loops
- Ordered logit and probit: don't insist that the dependent
  variable has a minimum of zero
- Windows installer: update GTK version, packaged zlib1.dll, 
  and gtksourceview DLL.
- Fix bug in arima auto-differencing, for non-seasonal order
  greater than 1 plus seasonal differencing

12/25/2007 version 1.7.1
- Add documentation for "set stopwatch"
- Add movavg function to genr (not documented yet)
- Add autocorrelation and heteroskedasticity tests for models
  estimated via TSLS
- Add "dataset resample n" command to resample observations
  with replacement (not documented yet)
- Add functions for matrix I/O from/to text files	
- Fix garch bug when p!=q
- Fix bugs: 1848487, 1847908, 1850842, 1848039, 1840179, 
	1842439, 1841098, 1843664, 1835707, 1841107, 1841774
- Fix bugs in saving/re-opening restricted VECM models as part
  of a gretl session
- Fix bug in CUSUM/CUSUMSQ plots for time series data frequency
  greater than 1
- Work around strange behavior of gnuplot 4.2 on Ubuntu
- Reinstate user-level choice of "Windows-look" emulation
- Reinstate user choice of menu font on Windows
- Script editor: add right-click popup with menu items to
  comment/uncomment selected block of commands, and to execute
  a line or region 
- genr: fix for case where closing parenthesis is missing at 
  the end of a formula
- OS X: replace fftw library with an i386 build
- Toolbar: use GTK stock icons where possible
- Gnuplot commands editor: fix behavior of save button
- Time series plot, more than one series: add option to show
  separate small plots
- Output from script execution: reuse existing output window
  if it's left open
- Add set variable "fcp" to use Fiorentini, Calzolari and
  Panattoni GARCH code
- Add set variable for max iterations in a "while" loop	
- Fix bug: missing data handled incorrectly in ascii graphs	
- Removed obsolete genr function varnum()
- Renaming session objects: move to popup menu
- Saving text from output windows: give choice of saving to
  file, or as session icon
- Commands allowable in loops: enable all but a fairly small
  subset
- Shell command: when invoked in gui console, send output to
  gui console
- Fix handling of "quit" when it's blocked by "if"

11/27/2007 version 1.7.0
- Add heckit estimator
- Add estimation/testing for restricted VECM models
- Fix for loop on empty list
- Fix for remaining issues with apostrophes in graph titles
- Fix for lists as arguments for user-defined functions
- Fix for saved sessions after using Forecast menu items
- Fix for long variable names in Model Graph menus
- Improve formatting for nonparametric difference test
- Improve formatting for "freq" command; also add --silent
  option for this command
- Add ceil() and floor() functions in genr
- Add "--p-values" option to show p-values instead of slopes
  for logit, probit models
- Add options to GUI for xtab command (cross-tabulation);
  also add Fisher's Exact Test for 2 x 2 tables
- Fix for graphing the time trend, and for graphs displaying
  more than 8 series
- Fix for length of correlogram on weekly data
- Fix for null matrix arguments to user functions in GUI
- Fix for floating point values in "set" when using 
  decimal comma
- Fix for opening cross-sectional gretl data sets in R version 
  2.5.0 or higher
- Fixes for autoregressive genr formula: speed-up, and fix bug
  when such formulae are used in an nls/mle block
- Double maximum length to gretl command line to 8192 bytes
- Gamma p-values: switch to shape/scale parameterization
- Spearman's rho: fix for case with ties
- Allow for syntax change re. missing values in gnuplot 4.3
- "corr" command: add --spearman and --kendall options
- Rank correlation in GUI: add Kendall's tau option
- Fix a few issues with extreme values in cdf, pvalue code
- add gamma() function in genr to generate gamma random
  variable
- Modify Locke's test to use Kendall's tau
- Add ginv() (Moore-Penrose inverse) matrix function
- Add multivariate Portmanteau test for autocorrelation in
  VARs (Ljung-Box)
- Allow concatenation of multiple short-form options, as
  in "-rdq"
- Modify retrieval of info from VARs: $coeff gets the matrix
  of coefficients, $compan gets the companion matrix
- New accessor: $gmmcrit gets the GMM criterion for a model
  estimated via GMM
- gretlcli: Ctrl-X exits without prompting for save
- Databases: allow selection of more than one series for
  display, graphing, importing
- Databases: allowing deletion of series from native gretl
  databases (if the user has write access)
- New command, "dataset": subsumes the old "addobs" and
  "transpos", while adding new options
- fftw DLL for Windows: fix a problem experienced on some 
  Windows systems 
- Generation of random variables in GUI: use an interface
  consistent with that for p-values, critical values, etc.
- Fix for XLS importer with non-zero column offset
- Improve error detection and recovery for adding case 
  markers from file
- Graphs: try to respect line color choices when exporting
  to postscript and PDF
- Small improvements to built-in data editor
- ARMA: allow specification of particular AR and/or MA
  lags (int the non-seasonal component only)
- Add importer for Open Document Spreadsheet files
- MS Windows: update to version 2.12 of GTK runtime
- MS Windows: update to gnuplot 4.2.2, and add switch
  in graph editing dialog to prevent anti-aliasing of
  lines
- GUI linear restrictions dialog: fix bug whereby
  parameter names were not accepted
- Saving databases: fix effect of --overwrite flag to
  do what the manual says
- Databases on Windows: look in the gretl user directory
  as well as the system db directory
- add argname() function for use in user functions
- Panel, unit-weights: fix omit command
- Fix bug in mailer dialog (crash when closed via
  window manager)

5/17/2007 version 1.6.5
- Fix new breakage in configuration of user directory
- Updates to manual
- Mark some more strings for translation
- Add new menu set /Tools/Nonparametric tests, with GUI
  access to the "difftest" and "runs" commands
- Add --difference option for runs command
- Various small bug-fixes

5/13/2007 version 1.6.4
- Fix breakage in relation to the Windows registry
- Fixes for accented characters in graphs, on systems with
  UTF-8 as the standard character encoding
- Additional fixes for Polish text in graphs

5/10/2007 version 1.6.3
- Add facility for bootstrap analysis in GUI, for OLS
- Model table: fixes for including panel models; allow up to
  12 models; formatting enhancements
- Fix bug in panel autocorrelation test (lmtest command)
- Add fft() matrix function (Fast Fourier Transform)
- Add cmult() matrix function (complex multiplication)
- Add quantile() function in genr
- Add production of restricted estimates to the "restrict"
  command as applied to VECMs
- Multiple fixes for session icon handling
- LAD models: print the median of the dependent variable
- Matrix properties window in GUI: add an indication of whether
  or not a square matrix is idempotent
- Panel data, pooled OLS model: when robust standard errors are
  chosen, use the Arellano-type HAC estimator (well, it's HAC
  when the time-series dimension is small); also offer Beck-Katz
  Panel Corrected Standard Errors
- Apply the above to tsls in a panel context also
- Panel data, "summary" command for single variable: show the
  within and between standard deviations
- Add "--quiet" option to lmtest command (don't print the
  auxiliary regression)
- Observation labels: ensure these are properly XML-encoded when
  saving a data set as gdt
- Fix bug that could cause a crash when exiting the program on
  MS Windows
- Fix bug: crash when saving a graph as an icon, when the icon
  window is currently displayed
- Fix an encoding issue with the command-line help files on
  platforms where the default encoding is UTF-8
- Correlation matrix: try to be smarter in face of non-aligned
  missing observations
- CSV data: add support for Mac-style text files
- "loop" command, "progressive" option: fixes for the case
  where this is invoked for loops other than the simple
  "count" type
- Further optimization of gretl_matrix functions
- Various modifications to the configuration process

3/24/2007 version 1.6.2
- Add Poisson distribution to p-value finder
- Fix breakage in GUI "graph page" apparatus
- Graph page: give color / monochrome option
- Bivariate scatterplots: give the option of showing various sorts
  of fitted line: linear, quadratic, inverse or loess
- Monochrome EMF graphs: make sure point types are distinct for
  different series
- Internal clean-up of the graphing code
- Make frequency plots more configurable via the GUI
- Fix memory leaks in GUI graph editor dialog
- Bugfix: estimating models inside nested functions could cause
  a crash
- Session icon window: don't display temporary matrices,
  generated within functions
- Icon window: fix display on one-character object names
- Fix memory leak when generating some sorts of matrices
- Add option of using Parzen or Quadratic Spectral kernel (the 
  default is Bartlett) when computing HAC covariance matrix
- Add a toolbar to windows that display lists of files
- Several fixes and enhancements for function package editor
- Fix for "omit" command in relation to arbond estimation
- Correlation matrix, etc, in GUI: don't disable menu items
  if only one variable is selected
- System estimation: fix breakage of the "save=" mechanism
  for residuals and/or fitted values
- gmm: improve syntax handling for orthogonality conditions
- Update the API documentation (still very much incomplete)
- Update gnuplot to version 4.2.0 in the Windows installer    

2/26/2007 version 1.6.1
- Revamp for internal "genr" mechanism plus some user-visible
  changes to genr
- Make the "delete" command do what the manual says
- Doing "Edit attributes" on a newly generated variable: you
  can edit the formula and hence change the content of the variable
- Displaying table of summary statistics for multiple variables:
  allow slightly longer variable names before falling back from
  combined tabular format to individual tables
- Sorting variables in main window: always revert to sort by ID
  number after making changes (e.g. loading a new dataset)
- Main-window variable listing: don't always jump to line 1 after
  making changes
- When you "Save as" in the Command log window, ensure that all the 
  regular script-editing signals are properly connected (e.g. the 
  state of the Save icon responds appropriately)
- "dummify" command: add options --drop-first and --drop-last; make
  --drop-first the default when the dummify() construct is used in 
  a regression list
- Add ordered probit analysis for the case where the dependent
  variable is discrete but not binary
- Add computation of generalized residuals in various estimators
- Revamp Tobit estimation: use BFGS instead of BHHH, allow --robust 
  option and add normality test
- Fix some bugs and inconsistencies in relation to the Ljung-Box
  statistic and ACFs
- Fix bug in the Baxter-King filter routine
- Add the CUSUMSQ test alongside CUSUM
- Add test version of Arellano-Bond dynamic panel data estimation
- Fix bug in GUI spreadsheet in relation to adding variables
- Fix bug in restricting the sample in the GUI, for the case
  where's there's already a restriction in place
- QLR test: add time-series graph of F test
- new command "xcorrgm" for cross-correlogram of 2 variables
- Add bivariate normal to cdf()
- New modular engine for garch estimation (no user-visible changes
  for now)
- Make window size for semiparametric estimators of the fractional 
  integration parameter adjustable by the user	
- Make the number of bins for a frequency plot adjustable via GUI
- Add facility to generate Binomial and Poisson random variables
- Row format for tabular output of models in TeX: make this
  configurable
- Add several matrix functions
- Add nonlinear GMM estimation (experimental)
- Numerous small bug-fixes

9/13/2006 version 1.6.0
- Revamp mechanism for saving sessions in gui program (we
  now save sessions as zipfiles containing XML representations
  of any models that have been estimated)
- Add "native" exact ML estimation of ARMA models using the
  Kalman filter
- Saving data in native gretl format: make gzip compression the
  default
- Add some basic functionality for analysis of discrete variables. 
  New behavior of frequency distribution, plus new commands: 
  "discrete" (interpret variables as discrete), "dummify" (create a 
  set of dummies coding for the values of a discrete variable), and 
  "xtab" (cross-tabulation of two discrete variables)
- Don't add an extra newline at the end of plain text data files
  (e.g. CSV)
- "restrict" command for single equations: add a printout of the
   restricted coefficient estimates and standard errors
- Add mechanism for packaging user-defined functions so as to
  make these available for other users; also add a mechanism
  for downloading such packages from a server, and for uploading
  new packages to the server
- Redefine the weight variable in gretl's "wls" command, for
  better compatibility with other programs: the weight var is
  now defined as the series of diagonal elements of the weighting 
  matrix, so existing gretl scripts that use wls should square
  the old weight variable
- Don't print the "model has no constant" message, and do not
  use special methods to calculate R^2 and F, if the set of
  regressors spans the space of a constant
- Indexing of coefficients in "restrict" command: standardize on
  using a 1-based index in all contexts
- Revamp panel data estimation: redefine the "panel" command for
  fixed- or random-effects estimation, rename the old "panel"
  command as "paneldat"; refine calculation of Hausman test statistic
- Lags in main window: make these visible under their parent
  variable, via a "twisty" triangle
- Revamp multiple-precision models: add more statistics, and make
  them available for capture via genr
- Revamp test for differences of two means in the GUI hypothesis
  test calculator
- Imposing panel structure on a data set: add the option of
  defining the structure by reference to two index variables, one
  for the unit and one for the period -- this is implemented in
  the "setobs" command and the GUI data structure wizard  
- Add --robust option to nls command (nonlinear least squares) 
- Add --hessian and --robust options to the mle command, which
  respectively produce a covariance matrix based on the Hessian
  and a QML sandwich estimator of the covariance matrix
- Add Quandt likelihood ratio (QLR) test for structural break
- ADF and KPSS tests: add option to difference the selected
  variable before testing
- Delimiter for "CSV" files: add semicolon to the list of
  options
- VECMs: make Johansen's alpha and beta retrievable as matrices
  with identifiers $jalpha and $jbeta
- Several bug-fixes for the matrix manipulation facility, plus
  a few new functions (meanr, meanc)
- GUI menus restructured and polished
- Add facility for multiple time-series graphs from the GUI
- Revamp the "--ten" option for printing variables to 10 digits:
  replace with a configurable "--long" option
- Graph editing dialog: make the line width configurable, and
  also make the preferred line width settable per variable in 
  the "Edit attributes" dialog
- Data import and export: add option for reading and saving data in 
  JMulTi format
- Databases: add capacity to read PcGive in7/bn7 databases
- Gretl command minibuffer: model commands now produce GUI
  model windows (for single-equation methods)
- QR decomposition option: fix the F-statistic values produced
  for autoregressive models
- pvalue() function: always return the right-hand value, but add
  a complementary cdf() function that always gives the left-hand
  value
- NIST linear regression test suite: re-express accuracy in terms
  of log relative error, plus other enhancements
- Generating random variables: add option to generate t and
  chi-square values in GUI; add option of setting the PRNG seed
  to the GUI variable-generation dialogs
- Time-series filters: Add Hodrick-Prescott and Baxter-King filters
  as a GUI menu item, along with simple moving average and
  exponential moving average
- Engle-Granger cointegration test: improve printout, add option
  to test down for the lag order, and fix an issue with the
  selection of the MacKinnon p-value for this test
- Tobit: enable handling of missing observations for this estimator
  
3/24/2006 version 1.5.1
- Add matrix manipulation functionality
- Fix translation bug for VAR menus
- Fix bug in assignment of values returned from user-defined
  functions
- Small fix for helpfile formatting
- Add calculation of Gini coefficient and Lorenz curve to GUI
  Variable menu
- Provide option of including seasonal dummy variables in
  Dickey-Fuller tests
- Add two more "genr" functions: qnorm (quantiles of normal
  distribution) and gini (Gini coefficient)
- Fix some bugs in handling of named lists, and start documenting
  this properly
- Enforce use of '.' as decimal separator in genr formulae
- Fix filename encoding issue with opening of CSV files
- Eliminate deprecated command "sim"
- Extend maximum length of variable names to 15 characters
- Disable "shell" command by default (it can be enabled under
  /File/Preferences)
- Change the names of the internal variables coeff, stderr and
  rho to $coeff, $stderr and $rho
- Add various keyboard shortcuts to main window, including 
  Alt-X for a "gretl minibuffer" a la Emacs
- Time series model menu: add option for selecting optimal
  lag length for a VAR, based on information criteria
- VARs: add a "Tests" menu item to GUI VAR window, permitting
  tests for omission of exogenous variables (if any)
- Model window, Graphs menu: if the data are time series, add
  options to view the correlogram and periodogram of the
  residual from the model
- Add Hannan-Quinn criterion in all contexts where Akaike and
  and Schwartz criteria are shown
- Various fixes for model selection dialog
- win32: fix the issue whereby copy-and-pasted EMFs had a 
  large margin to the top and right
- win32: fix opening of files with non-ascii characters in their 
  names
- XLS and Gnumeric importers: supply automatic varnames if no
  variable names are present 
- ARMA: Alter presentation of parameter estimates (call them
  "phi" and "theta"); provide native multiplicative seasonal
  models
- Fix issue with spectrum plot when the order of magnitude
  of the series is very low
- Introduce "set" parameters for tweaking the BHHH algorithm
  convergence criteria
- Add GUI lag selector
- VARs: add numerical output to VAR roots plot
- Allow commands like var and arma to be specified with a scalar
  variable as order
- Add "dsort" command for reverse sorting
- Enhance and robustify script capabilities


12/15/2005 version 1.5.0
- Add VECM (Vector Error Correction Models) for time-series
  data
- Add confidence ellipse option for two coefficients, in 
  model window menu
- New command "mle" : a general-purpose maximizer of log
  likelihood, using the BFGS algorithm -- works much like the
  "nls" command, taking a user-specified log likelihood function
  as input, along with (optionally) derivatives of the log
  likelihood with respect to the parameters
- More XLS importer fixes
- Add support for seasonal ARMA; add "sdiff" command (and
  corresponding function in genr) for creating seasonal
  differences
- Add capacity to produce time-series graphs with panel
  data sets
- Accommodate custom time-series frequencies
- Johansen cointegration test: extend to cover all 5 cases, 
  produce a fuller report (loadings, long-run matrix)
- Add bootstrapped confidence intervals for impulse responses 
  in VAR models
- Add test for multivariate normality of VAR residuals
- Add autocorrelation and ARCH tests for VAR equations
- Add printing of cross-equation covariance matrix for VARs
- Add combined plot of residuals for VARs
- Add combined impulse response plot for VARs
- Add log-likelihood, AIC and BIC for VARs
- Add inverse roots plot for VARs (Jack Lucchetti)
- Add log-likelihood for models estimated via OLS
- Add "robust" option for logit and probit (compute QML
  or Huber-White covariance matrix)
- Add "robust" standard errors option for WLS
- Remove overly verbose notification dialogs
- Add importers for Eviews workfiles and Stata .dta files
- Editable windows: show Save button as disabled if there's
  nothing to be saved
- Model selection dialog: ensure that the selected regressand 
  is not also listed among the regressors
- Graph editing: make several more types of graph editable
- Graph saving: add PDF option if it's supported by gnuplot
- Main window: don't show generated lags in the list of variables
- ARMA: remove the ARMA item from the Variable menu (it's still
  there in the Model menu); revamp the X-12-ARIMA driver so it
  can handle models with exogenous regressors 
- gretl graph page: add option to save as TeX source
- TeX: enable pdflatex and viewing of TeX output in PDF form
  (to use pdflatex, enter this as the name of the program to
  compile TeX files under /File/Preferences/General/Programs;
  this is now the default on Windows)
- Add "Send To" (email) functionality for data files and scripts
- "store" command: take file type from filename suffix for
  ".R" (GNU R format), ".m" (Octave format) and ".csv" (comma-
  separated)
- Add new "set" variable, "csv_delim", which sets the delimiter
  used when exporting data as CSV -- valid options are "comma"
  (the default), "space" and "tab"
- Add a new option for CSV export, "--omit-obs": suppresses
  the printing of a first column containing the observations
- X-Y graphs: display equation of fitted line when a fitted line
  is shown
- X-Y graphs: when fitted line is shown, add "OLS estimates"
  menu item to see details of the simple regression
- Graphs with labeled data-points: give option of showing all
  labels (for n < 55)
- Windows displaying two to five data series: add toolbar option
  to sort the data, with choice of variable by which to sort
- Test statistic calculator (Utilities menu): besides the
  entry of numerical values for sample statistics, enable the
  calculation of sample statistics based on selection of variables
  from the current data set, with or without sub-sampling
  restrictions
- Revamp the "online" (plain text) help system
- Split gretl manual into a User's Guide and a Command Reference
  and update both parts 

06/30/2005 version 1.4.1
- Fix horrid unnoticed breakage in bhhh_max (broke both arma 
  and tobit, big mess)	
- Add utf8 validation/conversion for database descriptions 
  (Banco de Espana databases)
- Allow dynamic forecasts with models estimated via corc and 
  similar

06/29/2005 version 1.4.0
- Revise definition of functions in gretl scripts (a backward-
  incompatible change) in the interest of more structured
  programming
- Introduce named lists as a type that can be created and
  manipulated
- Big revamp of forecasting code.  Make forecasts available for
  all types of models; give a choice of static versus dynamic
  forecasting where relevant; make forecast standard errors
  available in more cases
- Increase max length of gretl script command line to 4095 bytes
- Add support for decennial data
- Fix for finding TrueType graph fonts on Windows 2000
- Add new "set" option: "horizon", to configure horizon for impulse
  responses in context of VARs; also add dialog box to set horizon
  for impulse response graphs in GUI
- Disable autocorrelation and ARCH tests in gui model test menu,
  in case of cross-sectional data
- Add Local Whittle Estimator for fractional integration, in context
  of periodogram command
- Add fracdiff function (fractional differencing) to the genr
  command
- sort function in genr: save sorted case markers if the dataset
  has case markers
- Bug fixes for data editing spreadsheet
- Another bug fix for the XLS importer
- In correlogram (acf) output, show calculated 5% critical value
- Correlogram: acf calculations should not use more than 20 percent
  of the available data by default (Tadeusz Kufel)
- Fix bug in Tobit command in the gretl GUI
- "omit" command: add asymptotic Wald test for joint significance
  of omitted variables, for estimators other than OLS
- ADF test: allow greater lag length if the data permit
- Add facility to import GNU Octave ascii data files
- Improvements to formatting in Spanish translation
- In statistical tables utility, add a bit more information for
  Durbin-Watson and improve formatting
- smpl --restrict: make it not an error if the restriction has
  no effect (drops no observations)
- Confidence interval for coefficients, GUI model menu: make
  available for all models
- Add matrix of actual and predicted outcomes to the printout
  of results for discrete models
- Improvements to many dialog boxes
- Numerous small bug-fixes

03/14/2005 version 1.3.3
- Add "poisson" command (thanks to Jack Lucchetti)
- Fix memory leak in VAR command with impulse responses, in the
  command-line program
- Fix bug: possible crash in "loop foreach" if an invalid variable
  name is given
- Fix bug: "display data" broken in gui program for long datasets
  ("press a key to continue" mechanism was invoked erroneously)
- Fix bug: wrong variable shown when you select "Display actual,
  fitted, residual" for a GARCH model
- Fix bug: hausman test for pooled model would crash if there
  were not sufficient degrees of freedom to estimate the group
  means model
- Fix bug: crash if default data and script files not installed
  with program (thanks to Ignacio and Dirk for finding this)
- Fix bug in genr: unary minus could be wrongly handled within the
  argument to a function
- Fixes for appending data (make more flexible: allow appending of
  observations and/or variables)
- Fixes for cointegration tests: improve dialogs and prevent crash
  on selection of just one variable plus the constant
- Fix naming of Mahalanobis distances variable
- Respect omission of constant from an ARMAX model
- Graph control dialog: add one-click option to force use of a
  single y axis
- New: in case of AR(1) estimation (Cochrane-Orcutt and similar), if
  a lagged dependent variable is included then we automatically
  use the procedure set out in Ramanathan, 5e, p. 450, to generate
  consistent estimates of the standard errors
- Fix: gui menu items for test of equality of means, with equal
  or unequal variances: these were hooked up in reverse
- corc, hilu and pwe AR(1) commands: make these available in
  loop mode
- add "quiet" option for the commands adf, kpss and wls
- add "simple-print" option for ols command (just print the
  coefficient table, with no auxiliary statistics)
- add "mahal" command: calculate Mahalanobis distances given
  a set of variables; also available in GUI via right-click
  popup menu when more than one variable is selected in the
  main window
- genr command: $nvars gives the number of variables in the
  dataset

01/28/2005 version 1.3.2
- Fix bug in auto-determination of lag in ADF test: was looking
  at the wrong coefficient in some cases
- Fix bug in VAR impulse responses: could get messed up by
  missing values that differ across series
- Fix bug: crash on generating LaTeX tabular output for a model
  estimated using robust standard errors (format string issue)
- Fix bug: the session "graph page" was not appearing even when
  a valid latex executable was available
- Fix bug: gretl console would not respond in case of an error when
  executing a command loop
- Fix bug: the "restrict" command failed in the GUI program when
  not applied to a named equation system
- Fix bug: printing "-inf" for AIC and BIC in case of a perfect
  linear fit
- Fix various issues in relaton to nested loops (for example, where 
  the control variable for a given loop is not yet defined at compile
  time, but will be defined in an embedding loop)  
- Fix sort-of bug: possible runaway generation of graphs in response
  to some loop commands
- Improve efficiency of test for existence of helper programs on
  Linux/unix
- Add auto-lag option to the GUI dialog box for the ADF test
- Remember the options selected in the ADF dialog from one invocation
  to the next
- Help files: include menu-path information in the GUI help file as
  well as the script commands help
- Provide a mechanism for retrieving the value and/or p-value from
  the last statistical test performed (via the special variables
  "$test" and "$pvalue" in genr)
- Perfect collinearity: try to detect this, and remove one or more
  redundant variables from the regression list if need be
- "label" command: if only a varname is given, print the variable's
   current label, if any
- "genr unit": generates an index variable for the cross-sectional 
  units in a panel dataset (panel data only)
- Add "hurst" command (and GUI menu item) to compute the Hurst exponent
  (a measure of long-term persistence used by Mandelbrot) for a given 
  series   
- Remove unused GUI popup menu item "Simulate..."
- Updates to documentation (manual and helpfiles)

01/19/2005 version 1.3.1
- Add new dataset structure "wizard" in place of the old dialogs
  for setting frequency, starting observation and time-series
  or panel interpretation of the data
- Add FIML and LIML estimation to system command; also add 
  LR over-identification tests for these systems
- Add Hansen-Sargan over-identification test for SUR and 3SLS
  system estimates
- Add "--iterate" option for estimation of systems via SUR and
  3SLS
- Add "estimate" command for equation systems, and modify the
  "system" command to allow the user to define named systems
- Add gui configuration for robust standard errors options
- VAR dialog: add options for robust standard errors, and for
  the printing of impulse responses
- Add univariate kernel density estimation (under the Variable
  menu in the gui program -- no script counterpart)
- Purge the lesser-used model selection statistics, and use
  the original formulae for AIC and Schwarz's BIC
- Improve feel of data editing spreadsheet, gtk2 version
- Model dialog box: allow shifting of regressors with middle-
  click of mouse
- Add groupwise heteroskedasticity test for panel data
- Extend handling of missing observations in panel context,
  including case of unbalanced panels (to some degree)
- Fix for appending observations (built-in spreadsheet): plotting
  vars were not being automatically extended
- Fix for deleting variables: don't show the "variables have been
  renumbered" message if the only vars to be renumbered are
  hidden ones
- Fix newly introduced bug in time-series graphs: don't show two y 
  axes if only one is actually used
- Fix for johansen cointegration test: don't crash if the user
  puts the const into the list of variables
- Fix bug in forecasts with standard errors, for case of missing
  observations
- Fix bug in reading of CSV files: crash if variable names were not
  found, but observation markers were found
- Add new option under Sample menu, "Transpose data" (for data that
  were read in "sideways" from, e.g., a CSV file
- Fix bug in ADF p-values for locales which do not use '.' as
  the decimal point
- Add BIC (Bayesian Information Criterion) to the list of model
  statistics that can be retrieved via genr (internal variable $bic)
- Add Baxter-King bandpass filter (bkfilt function in the "genr"
  command), thanks to Jack Lucchetti
- Add Kmenta (1986) dataset and script, for a further example of
  system estimation
- Add script to replicate Perron (1997) testing for unit roots
  with a structural break at an unknown point
- Add an emacs file, utils/emacs/gretl.el, offering an emacs
  major mode for editing and running gretl scripts.

11/15/2004 version 1.3.0
- add "append" command, to append data to the current dataset,
  as in the gui File/Append data
- add KPSS stationarity test ("kpss" command, Jack Lucchetti)
- fix bug: data importers were accepting duplicate names for
  variables
- XLS importer: handle string formulas; fix handling of large
  string tables (SST and CONTINUE records)
- fix bug: error in printing of model selection statistics for
  very large or small values on Windows
- fix bug in running scripts from the gretl console: file was 
  not closed when an error was encountered
- fix bug in Prais-Winsten estimator
- fix bug in influential observations printout, for non-
  English locales
- revamp the Dickey-Fuller test functionality, with more
  options, clearer presentation (I hope), and p-values
  using James MacKinnon's code (JAE, 1996)
- fix panel data bugs: observation strings were broken for
  frequency greater than 99, and the "panel" command did not
  obey the "cross-section" option (thanks to Mihai Nica for
  the report)
- frequency plot, against gamma distribution: add Locke's
  nonparametric test for the null hypothesis that the variable
  in question is gamma
- add facility to generate cross-sectional unit dummies with
  panel data ("genr unitdum")
- add facility for nesting loops and fix some loop bugs
- fix some bugs in LaTeX equation display
- fix some breakage in online help system (e.g. for boxplots)
- add support for Latin 2 characters in gnuplot graphs
- add support for compacting daily data to weekly or monthly
- add support for daily data with a 6-day week
- fix for SUR systems with differing numbers of regressors
  across equations (thanks to Jack Lucchetti)
- improve convergence of GARCH function (Jack Lucchetti)
- make tobit command robust with respect to the scale of the
  dependent variable
- add stack() function to genr command: creates a stacked
  series from a comma-separated list of series, or a
  range of series as in stack(x1..xn)
- add a genr "special": genr markers = ... can be used to
  manipulate the observation marker strings -- details in
  panel.pdf
- support "genr varname[obs] = ..." for setting individual
  observations in a series
- Text/CSV data importer: handle calendar dates for non-daily
  data; handle description appended after the data
- add "vif" command to calculate Variance Inflation Factors
  for independent variables in a regression; also available
  in the model window under Tests/collinearity
- switch to St Louis Fed database as gretl "sample" database
  (the BCIH database is getting too out-of-date)
- add the Anscombe Quartet to the gretl data files
- add Mankiw, Romer, Weill (QJE, 1992) dataset and replication 
  script, also Nelson and Plosser dataset
- on Windows, make EMF graphs respect the user's choice of
  plotting colors (required a modification to gnuplot)
- add option to save graphs in EMF format
- various minor gui fixes and enhancements
- update Windows version to glib 2.4.7 and gtk 2.4.13
- start adding user-defined functions
- add mechanism for customizing gretl's tex preamble

7/23/2004 version 1.2.9
- fixes for LaTeX printing of autoregressive models
- correct Spanish help strings
- fix font problem for some objects in session window
- fix for exporting time-series data to R version 1.9
- add option to export data to PcGive .dat format (thanks to
  Michal Kurcewicz)
- enable TRAMO analysis of annual time-series data
- Windows version: ensure user directory gets created!  This
  was broken in gretl 1.2.6 and 1.2.7, which could produce
  strange-seeming problems.
- hccm command: ensure that the F-stat shown for the model
  is based on the robust covariance matrix; also ensure
  the robust F-stat is used when robust standard errors are
  selected with the ols command
- add start-up option to dump gretl configuration to a text file
  ('-c' or '--dump')
- small fixes for nonlinear least squares
- Replace fixed IP address for database server with hostname
- Fix for copying material from gretl using Ctrl-C on Windows
- Update Windows version to gtk 2.4.3 runtime
- add "restrict" command for general Wald test of linear
  restrictions on a model
- add "ok(x)" as a short synonym for "!missing(x)" in the 
  context of the genr command
- change smpl behavior: restrictions now cumulate by default
- add "smpl" option: "--replace" makes a sample restriction
  start from the full dataset rather than cumulating with any
  previous restrictions (note: this was the old default)
- another new "smpl" option: "smpl 100 --random" selects 100
  observations from the dataset at random
- allow the "--robust" option to the "var" command
- fix for effect of Up/Down keys in main gretl window
- gretlcli in batch mode: pass "#"-style comments through
  to the output
- fix HCCME bug: used way too much memory with large data
  sets
- add a new "set" option, "force_hc": if set to "on", then
  the robust option to ols always produces plain HC standard
  errors, not HAC (by default, HAC is used with time-series)
- profile and optimize some gretl_matrix functions
- allow specification of consecutive lags in a regressor list
  using a shortcut of the form "x(-1 to -4)"
- fix some subtle genr bugs, and some breakage in the nls
  command following earlier changes in genr
- small configure fix: try harder to find libpng if wanted

version 1.2.8: a "test-only" version, with some of the features
of 1.2.9, depending on the date of the build.

6/13/2004 version 1.2.7
- add Italian helpfiles (thanks to Cristian Rigamonti)
- update Spanish helpfiles 
- add start-up option "-e" or "--english" to force use of
  English strings when LANG would indicate translation
  (also recognize environment variable GRETL_LANG: if this
  is "english" or "C", run in English)
- allow for missing values (silent) in audio graphs
- add a few keystrokes to the main gretl window:
  'a': audio (read list of variables)
  'x': stop audio
  'e': edit attributes of current variable
  't': plot current variable
- make start-up tests for tramo and x12a less verbose
- fix bug in deletion of scalar variables from the dataset
- fix bug in built-in spreadsheet: clicking in a blank
  column could crash gretl 
- fix broken behavior of built-in spreadsheet for gtk
  2.0.X versions
- fix various bug and typos in documentation
- build tweaks for OS X
- make available a pre-built disk image for OS X

5/25/2004 version 1.2.6
- add Hodrick-Prescott filter, as "hpfilt" function in the
  genr command
- revamp xls importer: should now be substantially more
  robust
- begin adding experimental audio graph feature for visually
  impaired users
- improve handling of non-ASCII characters in data files
- fixes for Spanish help files
- more fixes for build process
- GNU Octave data export: write all data as single matrix
- fix printing of "periods" in periodogram output (thanks to
  Tadeusz Kufel)
- fix generation of periodic dummy variables for daily data
  (again thanks to Tadeusz Kufel)
- with gtk >= 2.4.0 on Linux, use the new gtk file chooser
- update the Windows gtk version to 2.4.1

5/04/2004 version 1.2.5
- fix problem with acf and pacf calculations
- add Prais-Winsten estimator for AR1 models ("pwe" command)
- fix bugs in gretl "graph page"
- fix some translation bugs
- fix headers for compilation on Mac OS X
- fix bug in lmtest option handling
- make Excel importer a little more robust
- bug fix for saving data files with very large number
  of variables (tested with 548)
- bug fix for "diff" and "ldiff" commands with panel data in the
  form of stacked cross-sections
- plain text output: give option of copying as RTF (puts the
  output into Courier New at 9 points)
- in gui, disallow deleting variables when sub-sampled
- setobs command: be more flexible in regard to the format of
  the "startobs" field
- saving text files: try to improve handling of CR/LF
- minor fixes to model printing
- gnuplot fix: make copy-and-paste into Microsoft applications
  work again (this was broken by an MS security update of April
  13, 2004)

3/30/2004 version 1.2.4
- Add ARMAX models: ARMA with exogenous variables
- Add GARCH models, using Fiorentini-Calzolari-Panattoni approach
  (Journal of Applied Econometrics, 1996)
- Add "resample" function to genr, for bootstrapping test
  statistics
- Loops: allow use of a variable name rather than a number to
  control a "number of times" loop
- Fix genr bug: problem with an undefined varname in a lag
  context 
- Fix bug: when saved via the objectname mechanism, arma models
  were appearing both as saved models and as saved text
- Fix bug: autocorrelation test from model window Tests menu
  was broken by new options mechanism
- Fix bug: "--verbose" option for Johansen test was broken
- Fix curious Windows bug: line-endings in scripts were not
  recognized in some cases
- Improve path-searching for data files
- Beef up error-checking on opening of native gretl data files
- Improve error-checking on pvalue command
- Fix for Excel importer: allow more than 16K rows
- Error-checking for new varname in genr
- Add robust standard errors/VCV for tsls command
- Allow use of wls command in a loop
- CSV import: add automatic conversion of string variables
  to code numbers
- Add Three-Stage Least Squares (system type=3sls): this is
  still at the testing stage

2/24/2004 version 1.2.3
- Add Tobit model command, with a new plugin (thanks to Jack
  Lucchetti)
- Add color selector for the histogram in frequency plots
- Allow appending/merging of gretl-format data in GUI program
- Fix bug: genr was broken for some special cases of
  repeated function calls
- Fix bug: normal pvalues were being shown as zero for
  large |z-scores| > 9.0
- Fix bug: the NIST checker plugin was broken for locales
  that use ',' as decimal point  
- Daily data: construct a special plotting variable so
  daily time-series can be graphed better; also allow
  for 4-digit years in daily dates (YYYY/MM/DD) on input;
  also fix "genr" so that dummies can be constructed
  as in "genr dum = t < 1987:10:19" (note that the
  slashes must be replaced by colons in this context)
- Text objects: in scripts and the gui console, many
  commands can now have their output diverted to a saved
  object (e.g. "ADF <- adf 1 Ct").  As with models and
  graphs, these objects appear in the Session icon
  window, and they can be displayed and freed using
  objectname.show, objectname.free
- Make the model table available via script and gui console 
  (new command "modeltab")
- Add "graph page" in session view: allows the user to
  create a page (which may then be viewed and printed) 
  containing up to eight graphs (requires latex, dvips and 
  a postscript viewer)
- Add an OLS option, "-r" or "--robust", which calls for
  the use of White's robust standard errors (HC0) in the
  case of cross-sectional data, or HAC in the case of time
  series data.  Details can be configured using the new
  "set" command.
- New command, "set", for configuring some program
  parameters via script or console
- Fix bug: latent problems when adding an observation to
  the working dataset
- Fix bug: set the frequency and starting observation could
  fail when the local decimal point is not '.'
- Fix: make the genr functions "coeff()", "stderr()" and 
  "vcv()" work to retrieve statistics from ARMA models
- Fix bug: when appending CSV data to an existing dataset,
  could get uninitialized values at the end of the series
- Allow backslash-continuation of long commands in the gui
  console
- Updated help files and manual

2/2/2004 version 1.2.2
- Make AIC retrievable via genr ("genr foo = $aic")
- Fix brokenness in RTF printing/copying of ARMA models
- Add calculation of modulus and frequency for ARMA roots,
  and add printing of these to LaTeX and RTF output
- Fix bug in accessing critical values of F (Utilities menu)
- Add DFFITS values to the "influential observations" model
  test; also expand the help entry for this
- Add a little explanation of Johansen cointegration test
  results to GUI helpfile
- Fix bug: when you go to save data imported from gnumeric,
  the suggested file suffix should be changed to ".gdt"
- Fix bug: when importing data from Excel with a non-zero
  row offset, respect the offset when checking for date
  strings
- Fix bug: adding a variable to the built-in spreadsheet
  (GTK 2 version) when there are already 6 variables shown
- Fix bug: handle quotation marks within descriptions of
  variables (XML encoding)
- Fix bug: bad behavior when you put an Excel file to open
  on the gretl command line, then cancel the import
- Fix bug: X-Y plot with "factor separation" went wrong in
  some cases (spotted by Ignacio Diaz-Emparanza)
- Fix bug: weighted least squares with a dummy variable for
  the weight crashed gretl when using QR decomposition
- Fix bug: a syntactically incorrect "genr" expression could
  lead to a crash (thanks to Steve Walesch for spotting this)
- Fix bug: set panel structure dialog very messed up in the
  gtk-1.2 version of the GUI program
- Fix bug: Sorting variables by ID in the main window did not
  work correctly for more than 9 variables

1/22/2004 version 1.2.1
- Add Cristian Rigamonti's Italian translation
- More flexible and general support for collections of data
  files or script files
- Add support for the data files from Davidson & MacKinnon,
  Econometric Theory and Methods (ETM)
- Make the NIST linear regression test suite available via a
  plugin
- Add ARMA model to the variable menu (plus "arma" command)
  (thanks to Jack Lucchetti)
- Fix bugs with displaying a TSLS model in the GUI program
- Fix bug in display of actual, fitted and residuals in GUI
  program
- Fix occasional bug in copying data to clipboard as CSV
- Add a mechanism for configuring gretl as a networked
  application under Windows
- Small fixes for data importation 
- Don't overwrite CSV datafiles with gretl format data
- Add a logistic model command and menu item
- Fixes for reading of recent RATS databases (thanks to John
  Frain for a useful bug report)
- Some updates to the manual and help files
- Enhanced LaTeX equation output (thanks to Alan Isaac for the
  suggestion)
- Fixes for several nameless bugs
- Various GUI tweaks

12/14/2003 version 1.2.0
- add "rename" command (rename a variable)
- add "printf" command for generating formatted output
- "delete" command: add the ability to delete specified
  variables, identified by name or number
- add "eval" command: syntax as in a "genr" formula; the
  result of calculation (or retrieval) is printed then
  discarded, not added to the data set as with genr
- Replace the internal workings of "genr" so that it can
  calculate dynamically (e.g. "genr y = .6*y(-1) + u"),
  which in effect makes the "sim" command redundant
- Make principal components analysis available via the GUI
- Improve formatting of descriptive statistics output when
  only one variable is selected
- Allow adding of "influence" values (calculated by the
  "leverage" test) to the data set in the GUI program 
- When adding a variable to the dataset from a model window,
  give the user a chance to edit the name and description
- Windows: add option to emulate Windows look (via WIMP)
- add "--no-restore-data" to R invocation
- Fix for launching R from gretl on Windows XP
- Improve creation of time-series datasets for use in R
- Fix problems created by tabs in the command line
- Two-stage least squares: add list of instruments to printout
  of model results; fix crashing bug in printing covariance
  matrix of coefficient estimates
- Improve the mechanism for detecting the presence of a lagged
  dependent variable in a regression list; also show the
  Durbin-Watson stat in addition to Durbin's h when a 
  regression includes a lagged dependent variable
- Fix bug in graph editing for non-English locales
- genr command: add facility for using date strings in boolean
  comparisons, e.g. "genr dummy = t > 1973:4" will work for 
  quarterly data
- Allow '#' comments in loop constructions
- sim command: allow omission of starting and ending observations, 
  to simulate over the full sample range; also allow the use
  of a minus sign to get the negative of a variable
- VARs: add facility to separate deterministic terms such as 
  trend and dummies from the other variables in the regression 
  list; add Durbin-Watson statistic to model printouts; add 
  impulse responses and variance decompositions
- Improvements to data-editing spreadsheet in gtk-2.0 version
- New, improved dialogs for setting the sample range and sub-
  sampling using a dummy variable
- Add color selection to the graph editing dialog and improve
  the mechanism for selecting a graph font (only applies if 
  gnuplot has the "new" PNG driver, i.e. gnuplot 3.8)
- Graphs: add option of removing the top and right border lines,
  if the graph does not have a "y2" axis
- minor fixes to the build process
- updates to gtk-1.2 GUI (make more consistent with the gtk-2.0 
  version)
- Allow for renaming of saved session models and graphs in gtk2
  version of program
- Add a "lite" version of gtksourceview to the gtk2 source package
- Add recognition of dated daily data in importing from ASCII:
  dates must be like 89/12/31, i.e. YY/MM/DD
- Loops governed by a convergence criterion: set a failsafe
  maximum number of iterations, namely 250.  This can be altered
  by setting the environment variable GRETL_MAX_ITER
- Update to gcc-3.3.1 and mingw-runtime-3.2 for Windows build

10/31/2003 version 1.1.6
- Test release for Fedora (Linux) packaging

10/24/2003 version 1.1.5
- Updates to manual
- Gtk2 version: Make selection dialog tall enough for wls,
  tsls and ar model selections
- Model window, graph menu: if there are two independent vars,
  offer the option of a 3D fitted/actual plot
- Set sample range: in this dialog, give as default the current
  sample range, not the full data range
- When a session uses data imported from a database, be smarter
  on saving the session: ensure the script includes a command
  to open a datafile (get this saved first if need be)
- Database browser window: close this when a database is
  selected
- GUI model windows: allow drawing of graphs relating to model
  data, even if the sample has been changed since the model
  was estimated
- Model table: make a LaTeX preview available
- Windows installation: fix typo in name of uninstaller program 
  in the Programs menu
- Windows version: bug fixes and enhancements for gretl_updater,
  and add a simple logging mechanism to aid in trouble-shooting
- Windows: add the ability to print a gnuplot graph directly
- ols command: add '-q' (quiet) option to suppress printing of 
  results (and add notice of this to gretlcli.hlp)
- Consolidate "webget" code -- one version for all uses
- gtk2 version: replace "system()" calls with g_spawn()
- Add model selection statistics to output of adf command
- Improve recognition of dated data when importing from Excel
  or Gnumeric
- Add an error message for an attempt to run TRAMO when the
  sample size is > 600
- Fixes for reading of plot range info in graph window in
  non-English locales

10/06/2003 version 1.1.4
- Make auto-entry of varname for sampling with dummy smarter
- Fixes for display of data values with huge datasets
- Fix to handle "weird" cases in plotting frequency distributions
- Auto-detect gnuplot's ability to use "filledcurve" style
- Translate a few untranslated strings in gtk-1.2 version
- Graph labels: make 3 labels configurable rather than just 2
- Editing gnuplot commands: fix for accented characters
- Reading CSV files: fix bug in parser for date strings
- NLS: ensure messages printed to the console are not in utf8
- Loosen up a little on "Appending" data: allow for the situation
  where the sample range for the added data is not identical
  to the original range
- Fixes for printout of fitted, actual and residual, and for
  forecasts with standard errors, in the case of missing data
- Fix to gtk2 data spreadsheet (quell warning on appending an
  observation)
- Data spreadsheet: give a warning on close if there are unsaved
  changes
- Improvements to printing of data values in certain numerical
  ranges
- Import of CSV or plain text data: if no variable names are
  given, construct them automatically ("v1", "v2", etc.)
- 3-D plot command: fix for localized decimal point, and use
  rxvt to control gnuplot if xterm is not available

10/01/2003 version 1.1.3
- Fix crashing bug in viewing dataset info
- Improve formatting of "influential observations" test output
  for non-English locales
- Correct the sign of the fractional integration parameter
  estimate in the periodogram command ("pergm")
- Give first-time gretl users a chance to select a gretl
  "user directory" (with ~/gretl being the default)
- Fix problem with running a script in the gretl console, when
  the script begins with comments plus blank lines
- Brighten up some menus with stock icons (gtk2 only)
- Use gtksourceview to do syntax highlighting for scripts
  (gtk2 version only)
- Change function of main-window toolbar edit icon: from launch
  an external editor to start a new script
- Fix bug in meantest command: the -o flag was doing the 
  opposite of what was stated in the manual
- Fix bug in built-in spreadsheet in re. adding variables or
  observations 
- Ensure that the listing of variables in the main window
  is updated after running a script
- Add facility to exclude named observations with smpl command
  (e.g. smpl -r obs!="USA")
- Add "nobs()" function in genr: gives the number of valid
  (non-missing) observations for a data series
- Improve placement of observation labels on graphs
- Improvements to gnumeric data importer
- Add facility for generating 3-D data plots
- Add "import ASCII" data option

09/09/2003 version 1.1.2
- Fix bug in time-series plot from popup menu in main window
- Fix build problem: "make install" could fail to install the
  GUI program under some conditions (thanks to Dirk Eddelbuettel
  for spotting this)
- Update the Spanish translation
- Win32 version: switch to the native Windows font selection
  dialog box (some problems were reported with the modified
  gtk font selection on win32)
- Win32 version: update to gtk 2.2.4 and pango 1.2.5
- Library: switch to using the Cephes gamma() code throughout,
  and delete some redundant code

09/07/2003 version 1.1.1
- Graph editing: add facility to write labels onto the graph
- Graph editing: allow removal of auto-fitted OLS line
- Graph editing: allow choice of TrueType font if gnuplot supports
  this option (requires libgd and freetype)
- Add compaction method (e.g. average, sum) as an attribute of 
  variables -- settable under Variable/Edit attributes
- Add "outfile" command to send output of selected commands to
  a specified file
- In importing data from a database, recognize if a variable
  of the same name is already in the working dataset
- Fix memory bug in opening remote database
- Start adding Principal Components Analysis
- Fix "pmax" bug in printing of actual, fitted and residuals
- When using "<-" save mechanism for models, preserve the model
  info so it's accessible for genr, etc.
- Fix bug in numbering of auto-generated lagged variables
- Fix bug in parsing of gnuplot { ... } special command list
- Fix bug in model table (wrong coefficient numbering)
- Fix bug: when a file is dragged onto gretl, opening the
  file failed if it has a space in its name
- configure: require correct version of GMP (>= 4.0.1)
- Fix bug: gretlcli.exe on win32 didn't find user directory
- Workaround: command-line invocation of gretlw32.exe with 
  datafile could crash (I think this was a Windows bug)
- Fixes for forecast-with-errors graphs
- Fixes for "influential observations" test calculations, in
  extreme cases
- Windows version: update to gtk 2.2.3 runtime

07/23/2003 version 1.1.0
- Extend DATAINFO structure -- allow specification of "display
  names" for variables (these are shown in graphs)
- Provide "label" command for setting the description and/or
  display name for a variable
- Add script commands for saving and displaying models and
  graphs 
- Fix effect of sample range on the "genr" command
- Improvements to the gretl console (command history, etc.)
- Add the Johansen cointegration test to the gui menus
- Add option to use QR decomposition instead of Cholesky for
  calculating regression results
- Fix bug: periodogram command failed in batch mode
- Make uniform() PRNG generate in the standard range 0-1
  (rather than 1-100, as it was previously)
- Small modifications to path-searching
- Updates to the Spanish help files
- Activate a few missing translated strings
- Fix "sim" command so it can be used to modify just one 
  observation in a given series
- Fix bugs associated with starting a dataset by importing from
  a database
- Allow access to RATS databases via command line and scripts
- Fixes (I think) for R startup 
- Clean-up: remove all wasted array elements
- Update to libtool 1.5
- Update win32 version to gtk version 2.2.2

05/26/2003 version 1.0.9
- Add non-linear least squares ("nls" command, Levenberg-
  Marquandt algorithm from minpack, with either analytical or
  numerical derivatives)
- Fix focus bug when editing the description for a variable in
  the gretl main window
- Add a new means of grabbing fitted values from a regression:
  "genr newname = yhat" (parallels "uhat")
- Updates to manual (includes details on new nls command)
- Spanish version: provide access to English help files as well
  as Spanish
- Add rudimentary scripting capacity to gnuplot command (can
  append "{ ... }" block to gretl gnuplot command, containing
  literal gnuplot command lines, each terminated with ";")

05/02/2003 version 1.0.8
- Require lapack
- Fixes to build for Mac OS X
- Avoid duplication of "against time" in model graph menus, when 
  time is included as a regressor
- Fix bugs in Find dialog
- Correct function that detects whether or not series should be
  scaled for time series graphing (case of negative values)
- Fix bug in boxplots with boolean conditions attached
- Ensure all plot windows are not resizable
- Add "leverage" command (uses lapack) to detect leverage points
  and influential observations for a given model
- Fix "diff" and "ldiff" commands for panel data sets (i.e.
  show missing values as missing)
- Fix bug in editing of varnames and labels (could get onto
  the wrong line in some cases)
- Fix gretl's startup routine for Gnu R so that it never over-
  writes the file .Rprofile
- Enhancements to Excel importer plugin (better warnings)
- Permit opening Excel or Gnumeric data from initial command-
  line invocation of gretl
- Autocorrelation test: add calculation and display of serial
  correlation-robust standard errors, if significant at the 5
  per cent level
- Fix brokenness in saving boxplots to session file
- Refinements to CSV import function -- handle space-separated
  data with multiple/variable spaces between columns
- Fix bug in range-mean graph when there are missing values at
  the start of the data range
- Fix bug in pacf calculation and plot for long lag lengths
- Add experimental "model table" in session icon view (not submitted
  for translation yet)

04/09/2003 version 1.0.7
- Correct the attribution of autocorrelation test (Breusch-Godfrey
  rather than Breusch-Pagan)
- Fix bug in display of remote database info line (Gtk-2.0 version)
- Use a finer step-size for Hildreth-Lu search
- In GUI program, display Hildreth-Lu plot using gnuplot
- Translate a few more untranslated strings
- Fix bug in title of residual graph
- When the user installs a local copy of a remote database,
  give the option of opening it right away
- Add "coeffsum" command: gives the sum of coefficients, and 
  standard error of the sum, for selected independent variables
  in a given model
- Modify the White's test function, so that it doesn't fall over 
  when a variable and its square are among the original regressors
- Fix drag and drop of data files and script files from desktop
  or file manager onto the main gretl window
- Add drag and drop of data series from a database window into
  the main gretl window (i.e. into the current data set)
- Add general time-series data compaction function (under Sample
  menu)
- Fix various memory-usage bugs revealed by port to Mac OS X
- Fix installation of bcih database so that it works on big-
  endian machines too

03/16/2003 version 1.0.6
- minor adjustment to model print output formatting
- fix for correlogram graph (was incompatible with older gnuplot)
- fix a couple of minor gretlcli bugs
- add (optional) LAPACK support for various "advanced"
  features
- fix time-series attributes of data9-1, data9-10
- prevent normal random generator from outputting NaNs
- fix bug with use of "store" command in a loop, in GUI program
- fix translation problems that disabled some menus when not
  shown in English
- fix translation problem that caused a crash when trying to save
  data under a different name in non-English versions on Linux
- add new commands, "system" (supports SUR) and "coint2" 
  (Johansen trace test for cointegration)
- add robust LM test for use with adding/omitting variables in 
  relation to a model estimated using hccm
- permit comments starting with '#' on first line of script
- change to Mersenne Twister for gretl's PRNG, and supply the
  Marsaglia test suite for the PRNG in the gretl source package
- make correlogram and periodogram functions more robust in
  the face of weird data

02/20/2003 version 1.0.5
- fix missing translations; fix build of rpm
- add support for Gujarati textbook data files

02/19/2003 version 1.0.4
- add sst() function in genr for Total Sum of Squares of a 
  variable
- fix bug in genr: a long genr command could overflow the space
  allocated for variable labels
- fix bugs in graphing: "non-standard" graphs could cause problems
  including crashes
- fix bug in coefficient printing: sometimes values were being
  truncated at 5 figures
- when dataset is sub-sampled, add dialog offering option to
  restore full data range before saving data
- add recognition of environment variables GRETL_PNG_GRAPH_FONT
  and GRETL_PNG_GRAPH_FONT_SIZE (e.g. "verdana" and "8") for
  generation of PNG graphs when gnuplot is linked to gd, and
  gd has TrueType font support enabled
- The sample data files selector and practice scripts selector
  now offer a tabbed collection of the available sets of files,
  and the associated menu items are simplified
- Replace Box-Pierce statistic with Ljung-Box throughout, and
  revamp the correlogram graph
- Add several configuration options to the tramo/seats plugin
- update libtool to 1.4.3 and autoreconf
- raise library revision number to 4

02/04/2003 version 1.0.3
- Add PNG graphs to win32 version, and standardize on PNG graphs for
  all display including graph editing
- Add facility to identify labeled data-points in a scatter plot
- further fix to pathnames with .Rprofile for win32
- LaTeX view: fix for dvi file living in a directory with
  spaces in its name on win32
- Add option to copy as LaTeX or RTF for the various "Model data"
  windows (e.g. forecasts with standard errors)
- Reorganize management of win32 registry entries
- Add tramo/seats for win32 version, and make tramo support the
  default for Linux
- In window displaying a single data, add menu options to show 
  the series sorted, to graph the variable, and to format the data 
  values to a specified number of significant digits or decimal places
- Fix bug in command echo for "store" and a few others
- Add selector for variables to be saved when doing "Save as"
  or "Export"
- Add facility to browse for programs under the Preferences, 
  General, Programs tab
- Add facility to copy data to clipboard as CSV
- Update win32 version to gtk version 2.2.0
- Bring various details of the gtk-1.2 build in line with the
  gtk-2.0 version
- Add configuration option to avoid libreadline dependency
  ("--without-readline") and build the gretl rpm without readline
- Updates to manual
- Raise shared library revision number to 3

12/09/2002 version 1.0.2
- generalize support for X-12-ARIMA to gtk-1.2 version, and 
  win32 version (TRAMO/SEATS proving is more difficult)
- make x-12-arima support the configure default, if the x12a
  binary is found
- add installation script for tramo program (in utils)
- make range-mean graph editable via gui
- fix utf8/character encoding issue with editing gnuplot
  commands and sending the commands to gnuplot
- fix bug in test for balanced panel and reading of panel
  structure
- panel models: implement a valid autocorrelation test, and 
  make the ARCH test unavailable
- fix bug in generating lagged variables with panel data
- put a limit of 1024 on the number of forecasts that can be 
  called for, in the "forecast with standard errors" routine
  (could exhaust virtual memory)
- add menu item to restructure a panel data set from stacked
  cross-section to stacked time series
- create data set using internal spreadsheet: fix bug in
  the setting of date strings
- fix bug in invocation of GNU R under Windows (needed to
  replace "\" with "/" in paths for use by Rgui.exe)

11/27/2002 version 1.0.1
- fix to configure script in re. glib-2.0
- fix missing name of dependent var in gui mpols printout
- remove RTF and LaTeX items from mpols copy options (not yet
  implemented) in gui2
- fix bug in saving gnuplot commands to file
- updates to updater function in gui program (both gui and gui2)
- add rudimentary plugin support for TRAMO and X-12-ARIMA
  (experimental, and disabled by default)
- fix font encoding for postscript graphs in gtk-1.2 version of
  gretl_x11 (also make postscript graphs in color by default)
- fix bug in automatic generation of lags for regression (the
  command was not getting recorded properly in the log file)
- fix bug in model printout when F() is undefined (line-break
  was missing)
- fix bug in LaTeX output when a coefficient equals zero
- make "sim" command available in loops (and update docs)
- raise "revision" number of *nix library

11/15/2002 version 1.0
- change *nix library name to libgretl-1.0
- improve sizing of some windows
- incorporate new translations
- update appearance of gtk-1.2 version of gui
- fix the stats available in connection with a LAD model
- open the champagne (hope this is not premature!)

11/06/2002 version 1.0pre4 (for translators)
- fix bug in progress bar when loading large data set
- fix bad "smpl -r" bug in gretlcli
- add Ramsey's RESET test (command "reset")
- improve consistency of editing commands
- more translation fixes
- small LaTeX output fixes
- fix gnuplot PNG output for gnuplot version 3.8
- fix encoding for gnuplot postscript output under NLS
- fix pango encoding issue for gnuplot axis label strings
- fix gnuplot "keyspec" bug 
- add auto-scaling of gui windows if the user has selected a
  large font
- add printing of rho (used in quasi-differencing) to LaTeX
  output for corc and hilu models
- enhanced support for Wooldridge data files
- add "-t" flag to print command: print variables to ten
  significant digits
- improve saving of scalar variables, and documentation of same
- updates to full manual
- make names and labels for monthly and quarterly dummies more
  descriptive

10/10/2002 version 1.0pre3
- improve accuracy of calculation of standard errors, and
  numerical accuracy on MS Windows in general
- make gretl databases installable in user directory as well as
  system database directory
- make console output scroll to cursor in gtk2 version
- fix more translation issues
- fix bug in normality chi-square test for large n
- fix bug that prevented CUSUM plot from displaying
- fix normality of residual test: print to model window was
  incomplete
- fix translation issue in LaTeX print of equation
- backport fix for impulse plot to gtk-1.2 version
- fix bug at exit of gretlcli with "quit" and no filename
- fixes for bugs in gnumeric file reader
- fixes for Excel reader -- handle missing obs and Far East info
- fix for gretlcli under NLS: ensure that the translations come
  out in the local encoding, not utf-8
- remove Gtk 2.0 right click menu on text windows
- update translations and integrate the French translation

09/20/2002 version 1.0pre2 (pre1 was "for translators only")
- add range-mean graph option to GUI Variable menu, and
  as new command "rmplot"
- add retrievable variable $pd = data periodicity
- add min() and max() functions to the functions available 
  for use with the "genr" command
- add Least Absolute Deviations regression ("lad" command)
- fix bugs in saving output to named file, in both gretlcli and
  gui program
- fix bug in boxplots for languages other than English
- fix error in df in sample script ps4-2.inp
- fix translation of date strings in gretl output
- linux: move plugins to ${prefix}/lib/gretl
- gnome 2.0: use gconf apparatus
- gtk 2.0: fix remove/add toolbar breakage; change name of program
  back to "gretl" and "gretl_x11" (not "gretl2", "gretl2_x11")
- revamp and internationalize TeX and RTF printing functions
  including those for summary stats and correlation matrix
- make TeX format available for all model windows
- remove HTML print/copy options: can't maintain four formats
  with internationalization!

08/25/2002 version 0.999
- add support for gtk 2.0 and gnome 2.0
- enhanced gui with gtk 2.0
- add "make check" target to test against the NIST reference
  data files for numerical accuracy
- improve support for building on win32
- bug fixes in boxplot functions
- always show 6 significant figures for coefficient estimates
  and standard errors in regression output
- numerous NLS/translation fixes, improvements
- NLS translation of TeX model results
- bug fixes for Excel importer
- reorganization of gui source files
- fix bug in random variable generation in gui
- add support for data files from Jeffrey Wooldridge's
  econometrics textbook
- scrap ugly overloading of "clear_model" function
- fix miscellaneous bugs revealed by valgrind
- raise library version to 16.0.0

07/09/2002 version 0.998 
- increment library version to 15.0.0
- update Spanish translations
- fixes to RPM build process
- switch to more accurate (cephes) algorithms for p-values
- add materials for building gretl on win32
- try to support LC_NUMERIC conversion automagically
- add option to Preferences to enable/disable localized
  LC_NUMERIC
- fix listings of recently opened files on menus under NLS
- fix up formatting of fitted/residual printout
- activate translations of "session" popup menus
- extend LaTeX menu for models with choice of saving as full
  document or tex fragment for inclusion in document
- correct over-eager rejection of some variable names in data
  files ("c" and "C")
- recompile gretl_updater.exe with new zlib dll
- fixes to graph editing (this got broken by NLS changes)

05/28/2002 version 0.997
- increment library version to 14.0.1
- NLS fixes: disable "foreign" LC_NUMERIC for the present;
  gnuplot graphs should work now; some missing
  translations are activated; minor formatting improvements
- screen scalars out of variable list in graph selection dialogs
- ensure appropriate headers are included in workbook.c
- enable daily data in gretl databases
- fix bug in daily calendar (printed dates wrong at end of
  some years)
- portability fixes to configure script

05/24/2002 version 0.996
- Raise library version to 14.0.0
- closing a session clears the selector dialog presets
- fix bug with scalar data and the data-editing spreadsheet
- revert boxplots to the older selection dialog (so user can add
  boolean conditions)
- Regressions: print warning when data matrix is close to 
  singularity
- add Gnu Multiple Precision plugin for running multiple
  precision OLS regressions (unix only, so far)
- Add Spanish translations and make enabling NLS the default
- Try to fix the win32 GUI font for high-res monitors
- tweaks to the configure script
- updates to the help files and manual

05/15/2002 version 0.995
- Raise library version to 13.0.0
- numerous small updates to facilitate internationalization
- give the user a choice of delimiters (comma, space or tab)
  when importing or exporting "CSV" data
- strengthen checks on invalid variable names in data files
- improve recognition of scalars versus vectors in genr
- fix bug in Create Dataset: undated data appeared as "annual"
- add descriptive report on dataset to Data menu
- fix bug in writing Utilities/R session: R data set was being
  written in wrong (CSV) format
- fix bug: datafile name was not being cleared on Close Session
- refinements to Makefiles: don't expand CFLAGS multiple times
- handle spaces in filenames when stacking the "open" command
- fix bugs with editing gnuplot graphs
- get win32 LaTeX view working properly
- bugfixes for gnumeric and excel spreadsheet importers
- bugfix: unitialized data in cointegration test with constant
- add new, improved dialog box for specifying models, etc.
- remove all system() calls on win32
- switch to a more "standard" (I think) presentation of WLS
  statistics
- fix some subtle bugs with the genr() function (scalars versus
  vectors in conjunction with sub-sampled data)
- add checks for illegal variable names when importing from
  CSV, Excel and Gnumeric

04/21/2002 version 0.994
- fix bugs in win32 copy to clipboard
- fix RTF printing of correlation matrix
- fix bug in genr (generating a scalar when data set is sub-
  sampled)
- fix bug: editing periodogram graph using GUI
- partially update docs
- distinguish between $T (number of obs used in last model) and
  $nobs (number of obs in current sample range) in genr
  expressions
- fix bug in gnuplot PNG display for remote X sessions
- add configure option "--disable-png-graphics" to revert to
  old-style behaviour of gnuplot in case of problems
- remove upwanted dependency on libgcc_s in Red Hat binary rpm
- update versions of gtk and glib for win32
- fix build problems revealed by the Debian package build

04/15/2002 version 0.993
- add option to specify lag order in autocorrelation test;
  also add Box-Pierce and Ljung-Box stats to test output
- fix brokenness in Excel importer on win32
- fixes to setmiss command (console and script modes)
- enable pop-up menu for all gnuplot graphs under Linux/unix;
  also add facility to print graphs directly under gnome,
  and to zoom graphs on X11 display
- make DVI viewer configurable and make "latex view" functions
  work on win32
- add inclusive inequality operators '>=' and '<=' to genr
- fix bug in genr: operator priority was not being fully respected
  in all cases
- fix bug in Replace function for script edit window
- fix bug that crept in, in reading old-format data files
- fix bug: possible loss of precision when writing data file
- fix bug in statistical reportage with weighted least squares,
  when the weight is not a dummy, but has some zero values
- add if, else, endif flow control for scripting
- add noecho command to suppress echo of commands in script
  output
- modify "print" command to support printing of string literals
- add menu item to find a variable in the main window
- improve context help in script windows
- extend LaTeX printing of models to Cochrane-Orcutt and Hildreth-
  Lu estimators
- add edit/print taskbar to more windows

04/01/2002 version 0.992
- bounds checking for critical values look-up; also add this
  as a regular gretlcli command, "critical"
- add sanity checks for regression commands and ADF test
- add importer plugins for Gnumeric and Excel workbooks
- add "Append data" menu item
- fix bug in "Create data set" functions

03/20/2002 version 0.991
- fix several "out of bounds" bugs kindly reported by Tavis Barr
- streamline the online help system
- in GUI, allow deletion of any variable (popup menu)
- go to a two-dimensional data array
- get the data status indicator working better when the nulldata
  command is used
- add menu items to set missing value codes for a particular
  series or the entire data set, and add "setmiss" command
- changing or clearing the data set now closes all model and
  stats windows (prevents crashes and garbage)
- add scalar datatype
- add progress indicator for reading/writing large data files
- add a refresh to the remote databases window after down-
  loading and installing a database
- add handling for daily data (probably needs more work)
- update to gnuplot 3.7.2 in win32 distribution
- prepare the program sources for internationalization via
  GNU gettext; add a blank .pot file to the source package

02/27/2002 version 0.99
- add option for HTTP proxy when contacting gretl data server
- fix bugs in drag and drop under Windows
- fix crashing bug when trying to save a data file with over
  (about) 120 variables
- fix bug in editing new data header info
- add mechanism to record sample when estimating a model, so
  that subsequent tests on that model can be referred to the same 
  sample
- add "native" printing of window contents under win32 and
  gnome
- enhance boxplots command, allowing for boolean expressions
  to limit the sample for individual plots in a comparative
  group of plots
- add editing toolbar to editable windows with search/replace
  and undo
- add context help (click on a command and press the "?" button)
  for the edit command script window
- correct typos in supplied data files data3-2 and data8-3
- add "critical" command (gretl console and GUI script mode only),
  to print critical values for a selected distribution
- add pvalue() function to the set of options available under
  the genr command
- improve handling of scripts opened in the GUI (including a
  prompt to save before running if changes have been made)

02/11/2002 version 0.98
- fig bug affecting frequency distributions and the test for
  normality of residuals
- improve functionality relating to saving of data files
- fix some build problems
- add more functionality to boxplots
- several fixes and enhancements to "session" mechanism
- better handling of empty data header info
- substantial code cleanups in the interest of adding API
  documentation
- allow copying LaTeX equation representation of models 
  to clipboard; also improve the typsetting of these
- change default user directory to ~/gretl under unix
- add option to make cwd rather than userdir the default
  for file opening and saving
- Change the default data format to XML (optionally gzipped)
  but retain backward compatibility with old ascii data
  format
- add dependency on libxml (dll suplied for win32)
- switch from ".dat" to ".gdt" as default filename extension
  for gretl datafiles (but add option to GUI to use ".dat")
- changing to storing data header info in buffer rather than using
  repeated file I/O
- add search/replace dialog to window for editing scripts; also
  Edit/Paste menu choice and choice of fixed font
- add drag and drop support for datafiles under win32, 
  register the .gdt suffix for gretl datafiles, and add an icon
  for these files

12/14/2001 version 0.97
- fix breakage of var command in GUI
- add facility to draw boxplots
- add various formats to copy of models to clipboard (HTML,
  RTF, LaTeX)
- enable LaTeX and RTF copying for correlation matrix and
  summary statistics windows
- Add the LMF statistic (Kiviet, 1986) for the autocorrelation
  LM test
- Add prompt to save data on exit, if the data set has been
  changed or newly constructed
- Fixes to BOX1 datafile reading function
- small fixes to display of databases
- revert behavior in case of taking logs of series with non-
  positive values (i.e. fail gracefully)
- add initial gnome support
- convert manual to SGML (DocBook) and update
- support directory names with spaces (yuck) under win32 
- under win32, use registry instead of system-wide config file
  libgretl.cfg and per-user gretl.rc; also use native win32
  dialog boxes for more functions
- add check for GRETL_HOME environment variable
- make gnuplot command configurable under Preferences (meant
  for win32)
- add a menu bar to the spreadsheet window

07/26/2001 version 0.96
- update to gtkextra version 0.99.16
- fix bug in Preferences/Toolbar entries

07/17/2001 version 0.95
- update to gtkextra version 0.99.15
- fix crash bug on opening a saved "session"
- fix bug that broke the "run" command on win32

06/14/2001 version 0.94
- make "false" the default for the automatic gretl update query
  on startup
- catch errors in ar, tsls and scatters commands due to insufficient
  arguments

05/11/2001 version 0.93
- fix problem with printing of actual, fitted and residual in the
  case of a binary dependent variable
- CVS data export: put quote marks around the dates or observation
  marker strings

04/23/2001 version 0.92
- library version goes to 6.0.0
- fixes to pprintf() function
- add "pooled OLS" model command and panel diagnostics test
  (fixed effects and random effects models)
- various fixes suggested by lclint
- fix bug with zero return from, e.g., auxreg() when there's
  an error and the return should be non-zero
- fix bug: logs command in script mode producing spurious error
- fix bug: when starting a new data set from a gretl database,
  datainfo->markers was not set to 0, which could produce a crash
- add options for compacting data when adding a higher-frequency
  series from a database to the working data set

04/03/2001 version 0.91
- library version goes to 5.0.0
- Disable saving anything other than native data file with
  extension ".dat" (safety measure)
- Make backup of data file when saving under same name
- Further improvements/fixes to gnuplot graphing routines
- Add option to edit plot commands directly, for a graph
  saved as a session icon
- GNU R: save cross-sectional data as a "dataframe"
- Remove the "with controls" gnuplot menu items: edit plots
  via the session window instead
- Institute consistent file dialogs: using gtkextra under X,
  and native Microsoft dialogs under Windows
- Bug fix in pprintf() function

03/28/01 version 0.90
- Raise version number to 0.90 reflecting fact that the feature
  set for version 1.0 is now complete
- Raise library version to 4.0.0 due to changed interfaces
- Bugfixes and improvements for built-in spreadsheet
- Make more statistics accessible under model data menu
- try to auto-detect script versus data file, when given one
  program argument and no flag
- add gretl_model_new() to lib
- cleanups in library code and headers
- enable frequency plot graphs in console mode
- add command-line options (for GUI program) to open a gretl
  database on start-up.
- add "t" facility to genr (can say, e.g., "genr dum = t>1979.4"
  for quarterly data, without previously generating t).
- add "for loop" facility with auto index variable
- auto-save changes to scripts in file viewer windows before
  running
- TODO: manual is not fully updated yet

03/16/2001 version 0.70
- Changed a few library interfaces, and so raised the library
  version number (now 3.0.0)
- update manual (please consult it on the new options below)
- add sub-sampling based on a boolean condition (smpl -r)
- make it possible to restore full sample after sub-sampling
  based on a dummy variable or boolean condition
- add graphing option: scatter of Y against X, with the Y values
  colored differently depending on value of a given dummy
- suppress echo of varnames in commands (e.g. summary) where
  a full list of vars is constructed automatically
- improve mechanism for adding/deleting files from "recent files"
  lists, and add list for command files
- improvements to numerical format in printing of data series
- fix a couple of graphing bugs (impulse plots not working, 
  frequency plot against gamma distribution wrong)
- fix precedence of boolean operators in genr expressions
  ("&" comes before "|", but both of these come after "<", ">"
  and "="), and add "!=" operator
- mods to gtk items: disallow resizing of dialog boxes, make
  clist titles passive
- fix "on exit" bug if several models estimated and not all
  have associated saved commands
- fix memory bug when switching datasets
- fix issues with displaying data, with very large datasets

03/04/2001 version 0.69
- change one library interface to permit error box if gnuplot
  command fails (and so raise library version number)
- bugfix: after running lmtest for non-linearity, the wrong
  degrees of freedom were being shown, not in the auxiliary
  regression window, but in the test summary appended to the
  model for which the lmtest was run
- bugfix: with a genr command from the GUI, even if it was
  erroneous it was being copied into the command log
- bugfix: parsing of genr expression without fully explicit
  parentheses failed under some circumstances
- bugfix: multiple scatterplots did not display under MS Windows
- bugfix: doing add/omit in GUI did not update the model used
  as the default for coeff() and such in genr commands
- console: improve/fix recall of mistyped command using the
  up arrow key; respond to typing only at the prompt
- genr: add '&', '|' and '!' logical operators 
- add program icon for X11

02/26/2001 version 0.68
- fix functions associated with opening datafiles
- fix brokenness in logging of commands to script
- "remember" models generated via GUI so that genr functions 
  such as coeff() work properly
- make Save/Export data menu items more compact
- Fix bug in (not) setting file extensions in some file "save"
  actions
- Small improvements to "gretl console"

02/21/2001 version 0.67
- cleanups in datafile writing routines (avoid excessive
  trailing zeros in data)
- make search in list boxes wrap
- fix bug: user configuration of toolbar had no effect
- fix bug: if a var is duplicated in list of regressors,
  gretlcli crashed
- fix infelicity: if a var is duplicated in regressor list,
  gui displayed blank model window along with error message
- fix bug: "gretl website" entry on toolbar under unix/Linux
  worked only if netscape was already running

02/15/2001 version 0.66
- add string search to listing of Ramanathan data files
- add "plugin" for looking up critical values of statistics
- add a toolbar (partly configurable under Preferences)
- fix to deletion of auto-generated plotting vars
- add option to view confidence intervals for coefficients
  (under Model data menu in model window)
- add the Ramanathan practice file ps2-1.inp

02/06/2001 version 0.65
- fix crashing bug in adding data to dataset from model window
- update bundled gtkextra to release 0.99.13
- various "internal" bugfixes and cleanups
- minor fixes to graphing routines, datafile saving

02/02/2001 version 0.64
- add tooltips to show full path of previously-opened files
- get "previous files" list working on win32
- minor improvements to file listing routines
- add (optional) sampling distribution graph to test calculator
- add -m (impulses) flag to gnuplot command
- fixes to auto-update mechanism (plus add documentation)

01/26/2001 version 0.63
- add gretl manpage
- add p-value finder to GUI
- add "hypothesis test calculator" to GUI
- fix error in normal batch p-value function 

01/15/2001 version 0.62
- allow comment lines starting with '#' in input files
- allow estimation of a model with df = zero
- add CUSUM (parameter stability) test for OLS models
- fix to path reading for win32 (spaces in path)
- fixes to difference of means test, difference of variance test,
  for situation where sample lengths are different
- small fixes to manual

12/09/2000 version 0.61
- fix to configure process for gtkextra

12/08/2000 version 0.60
- various fixes to distribution files
- change default user dir to $HOME/.gretl
- fixes to icon file selector
- basic link to GNU R
- further updates to manual

version 0.60pre
- revise PDF manual
- revise "scatters" command (multiple scatterplots) and add to gui
- add read/write of gzip-compressed data files (see store command)
- move descriptions of data files and practice scripts into
  separate files (no longer hard-coded into gretl)
- add new data files from Ramu Ramanathan
- update to gtkextra version 0.99.12
- add installer program for win32
- fix context help bug
- renaming of various components (library is now libgretl, cli 
  program is now gretlcli, some directories have been renamed)

(note: version 0.50 was a Windows-only one, and was not really
 released)

11/18/2000 version 0.40
- add critical value to printout of correlation matrix
- add capacity to read gretl databases from remote server
- add built-in data decompression with zlib	
- rename exported library functions, avoiding leading underscore
- add libtool versioning

11/03/2000 version 0.32
- Add capacity to read BOX1-format data files
- Add lists of recently opened files to file menus
- fix various bugs connected with "session" concept
- fix gtkextra headers bug in make process

10/20/2000 version 0.31
- add gamma distribution to pvalue command
- fix some more bugs
- hush gtk warnings in win32 version

10/15/2000 version 0.30
- introduce experimental "session" idea
- update manual
- add "pergm" (periodogram) command.  Also see "Spectrum" under
  the GUI Variable menu
- add maxlag parameter to corrgm command; also add printing
  of Box-Pierce Q stat, and partial autocorrelations
- fix up "delete" command ("insufficient args" bug)
- clean up gnuplot background code for gnuplot controller
- delete extra variables after chow test
- minor fixes to LaTeX printing
- use proper pointers to keep track of multiple windows
- add "max p-value" statement to regression printout
- put back Durbin-Watson printout line for hccm, tsls
- fix inconsistency with docs in setting of the break point
  for the Chow test
- more fixes to csv file reading
- bug fix in freq plot after freq print
- update sample label when excluding missing obs
- update iconfilesel and gtksheet to gtk+extra-0.99.11
- configure: use installed gtkextra if available
- substantial code cleanups and speedups in GUI.

06/14/2000 version 0.2i
- improve consistency in GUI w.r.t. opening of data files
  and databases
- update manual and help files
- add "delete" command (trash last variable)
- fix potential data files paths bug
- fix hsk bug (aux regression could fail silently)
- add some data files from William Greene's book
- add "while" syntax to command loop mechanism
  (useful for iterated least squares -- tested on Greene's
   example 11.3 of nonlinear estimation).  See manual.
- fix sample-length bug in add, omit
- some more informative error messages from genr
- activate "add" and "omit" for logit, probit
- make covariance matrix available for logit, probit
- add more error trapping for "add"
- code cleanup in compare.c
- can capture log-likelihood in genr with "$lnl" after logit, probit

06/09/2000 version 0.2h
- add estimation of logit and probit models and update manual
- fixes to "configure" script (gtk, termcap, paths.h) after
  compilation on HPUX
- eslclient creates user dir if it doesn't exist
- add (experimental) "parenthesizer" for genr expressions
- rearrange "summary" output
- rename Windows dll
- fix bug in "fcast" command

06/01/2000 version 0.2g
- "smpl -o" drops all observations with missing values
- binary datafiles can be saved in single or double precision
  (-s or -o flags)
- Binary datafile saving added to GUI
- Can add case markers from file to an open data set
- allow for a comment line at the top of a database .idx file
  (and display it in GUI)
- code cleanups
- delete redundant stuff
- improve some string handling functions
- fix win32 path-searching bug?

05/24/2000 version 0.2f
- updates to manual
- add handler for Penn World Table
- improve handling of native databases
- reformat some output
- add % operator in genr
- add -o flag to "smpl" command for sampling via a dummy
  variable mask.
- GUI: where appropriate, clicking on a var in the main window
  will pop its ID # into an open dialog box.
- add fcasterr to GUI, and improve graphing of forecasts
- move setobs from Data to Sample menu
- add "Gretl console" to GUI (under File menu) and update manual
- add to path-searching for datafiles called from scripts
  (include the script dir in the search)

05/10/2000 version 0.2e
- minor changes to GUI menus
- add xpm icon for X
- correct printout of t-stats for AR coefficients
- correct wasteful malloc in xpxxpy function
- better printout for F-statistic
- add discussion of NIST reference datasets to manual
- add NIST datasets to package
- add some error-checking and reporting for datafile opening
- various fixes to "genr"
- search for libesl.cfg in dir where executable resides
  (win32, Dirk's idea)
- improve handling of constants in corr, corrgm
- fix error messages from corc_hilu
- rename eslclnt.exe as eslclient.exe (win32)
- fix paths in win32 (helpfile and executable, for rerunning
  commands)

05/05/2000 version 0.2d
- improvements to manual
- fix wrong error message for zero weight var in wls
- explicit check for degeneracy in figuring summary stats
- add median(), var(), cov() to functions in genr
- add "spearman" command (rank correlation)
- add "runs" command (runs test for randomness)
- fix bug in calculation of rho hat
- fix lengths of series created by diff, etc, in relation to smpl

05/01/2000 version 0.2c
- add setobs command
- add seed command
- manual: add section on panel data, improve "genr" section
- more CSV bugfixes
- make adf, coint commands more informative
- add "paneldum" (for panel data) to genr command

04/28/2000 version 0.2b
- add fcasterr command
- many fixes in response to comments from Ramu Ramanathan and
  Dirk Eddelbuettel
- improve Makefiles
- bugfix in binary datafile handling
- update manual

04/22/2000 version 0.2a
- add arch, sim and multiply commands
- many bugfixes after running numerous test files
- further code cleanups
- improvements in printing forecasts
- fix memory leaks

04/14/2000 version 0.2
- many fixes for greater consistency with esl
- printout improvements
- internal code cleanups
- bug fixes (notably for CSV file handling)

04/05/2000 version 0.1z
- add a gui controller for gnuplot graphs
- many bugfixes
- reorganize (simplify) command-line arguments
- more updates to documentation

03/27/2000 version 0.1y
- improvements and bugfixes to CSV file handling
- improvements to "add" and "omit" commands
- add "coint" command (cointegration test)

03/23/2000 version 0.1x
- many small bugfixes
- add GNU autoconf apparatus for configuring/compiling
- updates to documentation

02/29/2000 version 0.1w
- fixes to build process
- add iconic file selector
- add "export CSV" function
- bug fixes to database reading routines

02/22/2000 version 0.1v
- add White's standard errors (hccm command)
- update help files
- Make model stats (e.g. ess) available for adding to data
  set in gui, under Model data menu.
- Add option to display values of selected variables, as well as "all".
- Fix pvalue in command-line client so that it does not act
  interactively when supplied with all params on the command line.
- Add facility to edit the full data header (.hdr) file in
  gretl (under Data menu).
- Activate the "Add observation" feature in ssheet; add a
  similar "Insert Observation" option.  Minimal testing so far.
- Fix (I think) bug in setup of new spreadsheet data set.
- Give "infobox" feedback when importing database series.

02/13/2000 version 0.1u
- save data files in GNU Octave format
- updates to documentation

02/08/2000 version 0.1t
- gretl adopted as GNU program
- add context-sensitive help for command dialogs
- add file, save for model output windows
- add search facility for help file, database windows

02/02/2000 version 0.1s
- Fixes to Makefiles
- Improvements to loop mode (Monte Carlo simulations)

01/31/2000 version 0.1r
- Initial public release

